UP = '1'
DOWN = '3'
RIGHT = '2'
LEFT = '4'
EXIT = '5'

game_manual = '1.↑\t2.→\t3.↓\t4.←\t5.exit'

game_map = [
    ['Y', '#', '#', '#'],
    [' ', '#', '#', '#'],
    [' ', '#', '#', '#'],
    [' ', ' ', ' ', 'G'],
]


def show():
    print(game_manual)  # 操作説明の表示
    # マップの表示
    for line in game_map:
        print(''.join(line))


def update(command):
    pass


def main():
    while True:
        show()  # 画面を表示する
        command = input()  # 入力を受け付ける
        # 終了キーならば終了
        if command == EXIT:
            break
        # 移動キーならば、更新処理
        elif command in (UP, DOWN, RIGHT, LEFT):
            update(command)


if __name__ == '__main__':
    main()
